﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="PYRefresh._Default" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">

    <div>
        <asp:Image ID="img" runat="server" ImageUrl="~/CompanyLogo.png"  /><h1>Test Database Refresh</h1>
        
    </div>
    <blockquote>
    <div>
        <asp:Panel ID="pan" runat="server" DefaultButton="btnRefresh">
        <asp:Label ID="lblPlant" runat="server" Text="Please select a plant:"></asp:Label>&nbsp;
        <asp:DropDownList ID="ddlPlants" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlPlants_SelectedIndexChanged" >
            <asp:ListItem Selected="True" Text="" Value="0"></asp:ListItem>
            <asp:ListItem Text="Plant1" Value="45"></asp:ListItem>
            <asp:ListItem Text="Plant2" Value="14"></asp:ListItem>
            <asp:ListItem Text="Plant3" Value="16"></asp:ListItem>
            <asp:ListItem Text="Plant4" Value="2"></asp:ListItem>
            <asp:ListItem Text="Plant5" Value="22"></asp:ListItem>
            <asp:ListItem Text="Plant6" Value="17"></asp:ListItem>
            <asp:ListItem Text="Plant7" Value="25"></asp:ListItem>
            <asp:ListItem Text="Plant8" Value="3"></asp:ListItem>
            <asp:ListItem Text="Plant9" Value="6"></asp:ListItem>
            <asp:ListItem Text="Plant10" Value="28"></asp:ListItem>
            <asp:ListItem Text="Plant11" Value="19"></asp:ListItem>
            <asp:ListItem Text="Plant12" Value="8"></asp:ListItem>
            
        </asp:DropDownList>&nbsp;
        <asp:Button ID="btnRefresh" runat="server" Text="Refresh Grid" OnClick="btnRefresh_Click" />&nbsp;
        <asp:Button ID="btnStartJob" runat="server" Visible="false" Text="Start PY Refresh" OnClick="btnStartJob_Click" />
            
        <asp:Label ID="lblError" runat="server" ForeColor="Red" Text=""></asp:Label>
        </asp:Panel>
    </div>
        <br />
    <div >
        <asp:GridView ID="gvDB" runat="server" CellPadding="4" ForeColor="#333333" GridLines="None" DataKeyNames="CopyParamsID" AutoGenerateColumns="False" AutoGenerateEditButton="True" 
            OnRowEditing="gvDB_RowEditing"
            OnRowCancelingEdit="gvDB_RowCancelingEdit" OnRowUpdating="gvDB_RowUpdating"   >
            <AlternatingRowStyle BackColor="White" />
            <Columns>
                <asp:BoundField DataField="CopyParamsID" HeaderText="CopyParamsID" ReadOnly="True" Visible="False" />
                <asp:TemplateField HeaderText="Refresh In Test">
                    <EditItemTemplate>
                        <asp:CheckBox ID="chkBoxNeedProcess" runat="server" Checked='<%# Bind("NeedProcess") %>' />
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:CheckBox ID="chkBoxNeedRefresh" runat="server" Checked='<%# Bind("NeedProcess") %>' Enabled="false" />
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="Center" />
                </asp:TemplateField>
                <asp:BoundField DataField="DBName" HeaderText="DBName" ReadOnly="True" />
                <asp:BoundField DataField="WrittenDate" HeaderText="Written Date" ReadOnly="True" />
                <asp:BoundField DataField="ProcessTime" HeaderText="Process Time" ReadOnly="True" />
                <asp:CheckBoxField DataField="Error" HeaderText="Has Error" ReadOnly="True" >
                <ItemStyle HorizontalAlign="Center" />
                </asp:CheckBoxField>
                <asp:BoundField DataField="ErrorMessage" HeaderText="Error Message" ReadOnly="True" />
            </Columns>
            <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
            <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
            <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
            <SortedAscendingCellStyle BackColor="#FDF5AC" />
            <SortedAscendingHeaderStyle BackColor="#4D0000" />
            <SortedDescendingCellStyle BackColor="#FCF6C0" />
            <SortedDescendingHeaderStyle BackColor="#820000" />

        </asp:GridView>
    </div>
        <div>
            <asp:Label ID="lblUser" runat="server" ></asp:Label>
        </div>
        </blockquote>
</asp:Content>
